VirtualBox Main API

Public Attributes | List of all members
IFirmwareSettings Interface Reference

The IFirmwareSettings interface represents firmware settings of the virtual machine. More...

Inheritance diagram for IFirmwareSettings:

## Public Attributes
attribute FirmwareType | firmwareType
| Type of firmware (such as legacy BIOS or EFI), used for initial bootstrap in this VM.
attribute boolean | logoFadeIn
| Fade in flag for BIOS logo animation.
attribute boolean | logoFadeOut
| Fade out flag for BIOS logo animation.
attribute unsigned long | logoDisplayTime
| BIOS logo display time in milliseconds (0 = default).
attribute wstring | logoImagePath
| Local file system path for external BIOS splash image.
attribute FirmwareBootMenuMode | bootMenuMode
| Mode of the firmware boot device menu.
attribute boolean | ACPIEnabled
| ACPI support flag.
attribute boolean | IOAPICEnabled
| I/O-APIC support flag.
attribute APICMode | APICMode
| APIC mode to set up by the firmware.
attribute long long | timeOffset
| Offset in milliseconds from the host system time.
attribute boolean | PXEDebugEnabled
| PXE debug logging flag.
attribute boolean | SMBIOSUuidLittleEndian
| Flag to control whether the SMBIOS system UUID is presented in little endian form to the guest as mandated by the SMBIOS spec chapter 7.2.1.
attribute boolean | AutoSerialNumGen
| Flag for enabling automatic VM serial number generation.

## Detailed Description

The IFirmwareSettings interface represents firmware settings of the virtual machine.

This is used only in the IMachine::firmwareSettings attribute.

Interface ID:
  `{426EF1B8-DE91-49FB-ABC3-0E2BAE654FF2}`

## Member Data Documentation

## ◆ firmwareType

attribute FirmwareType IFirmwareSettings::firmwareType

Type of firmware (such as legacy BIOS or EFI), used for initial bootstrap in this VM.

## ◆ logoFadeIn

attribute boolean IFirmwareSettings::logoFadeIn

Fade in flag for BIOS logo animation.

## ◆ logoFadeOut

attribute boolean IFirmwareSettings::logoFadeOut

Fade out flag for BIOS logo animation.

## ◆ logoDisplayTime

attribute unsigned long IFirmwareSettings::logoDisplayTime

BIOS logo display time in milliseconds (0 = default).

## ◆ logoImagePath

attribute wstring IFirmwareSettings::logoImagePath

Local file system path for external BIOS splash image.

Empty string means the default image is shown on boot.

## ◆ bootMenuMode

attribute FirmwareBootMenuMode IFirmwareSettings::bootMenuMode

Mode of the firmware boot device menu.

## ◆ ACPIEnabled

attribute boolean IFirmwareSettings::ACPIEnabled

ACPI support flag.

## ◆ IOAPICEnabled

attribute boolean IFirmwareSettings::IOAPICEnabled

I/O-APIC support flag.

If set, VirtualBox will provide an I/O-APIC and support IRQs above 15.

## ◆ APICMode

attribute APICMode IFirmwareSettings::APICMode

APIC mode to set up by the firmware.

## ◆ timeOffset

attribute long long IFirmwareSettings::timeOffset

Offset in milliseconds from the host system time.

This allows for guests running with a different system date/time than the host. It is equivalent to setting the system date/time in the BIOS except it is not an absolute value but a relative one. Guest Additions time synchronization honors this offset.

## ◆ PXEDebugEnabled

attribute boolean IFirmwareSettings::PXEDebugEnabled

PXE debug logging flag.

If set, VirtualBox will write extensive PXE trace information to the release log.

## ◆ SMBIOSUuidLittleEndian

attribute boolean IFirmwareSettings::SMBIOSUuidLittleEndian

Flag to control whether the SMBIOS system UUID is presented in little endian form to the guest as mandated by the SMBIOS spec chapter 7.2.1.

Before VirtualBox version 6.1 it was always presented in big endian form and to retain the old behavior this flag was introduced so it can be changed. VMs created with VBox 6.1 will default to true for this flag.

## ◆ AutoSerialNumGen

attribute boolean IFirmwareSettings::AutoSerialNumGen

Flag for enabling automatic VM serial number generation.